Skip to content

Get Counterparty

Request

This endpoint retrieves the details of a specific counterparty by its unique ID. It returns a single counterparty object corresponding to the provided counterparty_id.

Security
CodeBearer(Required scopes: customer.read)
Path
counterparty_idstring, (uuid)(Counterparty Id)required
curl -i -X GET \
  'https://customer-api.sandbox-api.jikoservices.com/api/v2/counterparties/{counterparty_id}/' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful Response

Bodyapplication/json
idstring, (uuid)(Id)required
time_createdstring, (date-time)(Time Created)required
statusstring(Status)required
Enum:"PENDING""FAILED""LINKED""UNLINKED""CLOSED"
verificationany(Verification)required
display_namestring or null(Display Name)
Any of:

An optional custom display name for the counterparty, useful for distinguishing multiple counterparties that share the same legal name.

string
typestring(Type)required
Enum:"ach""wire""on_us""international_wire""crypto_wallet_address"
Discriminator
Value:"ach"
counterparty_namestring(Counterparty Name)required
institution_namestring or null(Institution Name)required
Any of:
string
routing_numberstring or null(Routing Number)required
Any of:
string
account_numberstring or null(Account Number)required
Any of:
string
account_typestring(Account Type)required
Enum:"CHECKING""SAVINGS"
object_typestring(Object Type)read-onlyrequired
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "time_created": "2019-08-24T14:15:22Z", "status": "PENDING", "verification": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "description": "string", "type": "incoming_wire", "wire_id": "ee348d7b-d167-4ca8-80b9-4841e2d7e35c", "status": "PENDING_REVIEW" }, "display_name": "string", "type": "ach", "counterparty_name": "string", "institution_name": "string", "routing_number": "string", "account_number": "string", "account_type": "CHECKING", "object_type": "string" }